Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class SubstitutionGroupHandler

    java.lang.Object
      weblogic.apache.xerces.impl.xs.SubstitutionGroupHandler

Deprecated. please use JDK supplied XML parsers and transformers

public class SubstitutionGroupHandler
extends Object

To store and validate information about substitutionGroup

Constructor Summary
`SubstitutionGroupHandler(XSGrammarBucket grammarBucket)` Deprecated. Default constructor

Method Summary
`void` | `addSubstitutionGroup(XSElementDecl[] elements)` Deprecated. add a list of substitution group information.
`XSElementDecl` | `getMatchingElemDecl(QName element, XSElementDecl exemplar)` Deprecated.
`XSElementDecl[]` | `getSubstitutionGroup(XSElementDecl element)` Deprecated. get all elements that can substitute the given element, according to the spec, we shouldn't consider the {block} constraints.
`boolean` | `inSubstitutionGroup(XSElementDecl element, XSElementDecl exemplar)` Deprecated.
`void` | `reset()` Deprecated. clear the internal registry of substitutionGroup information
`protected boolean` | `substitutionGroupOK(XSElementDecl element, XSElementDecl exemplar, short blockingConstraint)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubstitutionGroupHandler

    public SubstitutionGroupHandler(XSGrammarBucket grammarBucket)

  Deprecated.
  Default constructor

Method Detail

### addSubstitutionGroup

    public void addSubstitutionGroup(XSElementDecl[] elements)

  Deprecated.
  add a list of substitution group information.

### getMatchingElemDecl

    public XSElementDecl getMatchingElemDecl(QName element,
                                             XSElementDecl exemplar)

  Deprecated.

### getSubstitutionGroup

    public XSElementDecl[] getSubstitutionGroup(XSElementDecl element)

  Deprecated.
  get all elements that can substitute the given element, according to the spec, we shouldn't consider the {block} constraints. from the spec, substitution group of a given element decl also contains the element itself. but the array returned from this method doesn't containt this element.

### inSubstitutionGroup

    public boolean inSubstitutionGroup(XSElementDecl element,
                                       XSElementDecl exemplar)

  Deprecated.

### reset

    public void reset()

  Deprecated.
  clear the internal registry of substitutionGroup information

### substitutionGroupOK

    protected boolean substitutionGroupOK(XSElementDecl element,
                                          XSElementDecl exemplar,
                                          short blockingConstraint)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD